summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/build-packages6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 6a57303..6d4f93a 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -587,11 +587,11 @@ while [ "${count}" -ne 0 ] && \
;;
3)
>&2 echo "'return-assignment' reports a signature error."
- bail_out 1
+ exit 1
;;
4)
>&2 echo "'return-assignment' reports too many or missing packages."
- bail_out 1
+ exit 1
;;
*)
>&2 echo "unknown return code ${err} from 'return-assignment'"
@@ -649,7 +649,7 @@ while [ "${count}" -ne 0 ] && \
fi
if ${exit_after_failure}; then
>&2 echo 'Build failed, exiting now'
- bail_out 0
+ exit 0
fi
fi